# Class ConeSearchDialog

java.lang.Object
uk.ac.starlink.table.gui.AbstractTableLoadDialog
uk.ac.starlink.vo.RegistryServiceTableLoadDialog
uk.ac.starlink.vo.DalTableLoadDialog
uk.ac.starlink.vo.SkyDalTableLoadDialog
uk.ac.starlink.vo.ConeSearchDialog

All Implemented Interfaces:
  `uk.ac.starlink.table.gui.TableLoadDialog, DalLoader`

public class ConeSearchDialog extends SkyDalTableLoadDialog
Table load dialogue which allows cone searches. Cone search services are obtained from a registry.

Since:
  21 Dec 2004
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`ConeSearchDialog()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Component`
`createQueryComponent()`
`uk.ac.starlink.table.gui.TableLoader`
`createTableLoader()`
`double`
`getSearchRadius()`
Returns the search radius selected.
`int`
`getVerbosity()`
Returns the currently selected verbosity level.
`JComboBox<ConeVerbosity>`
`getVerbositySelector()`
Returns the verbosity selector component.

### Methods inherited from class SkyDalTableLoadDialog

`acceptSkyPosition, getQuerySummary, getSkyEntry`

### Methods inherited from class DalTableLoadDialog

`checkUrl, getCapabilities, getMetadata, getResourceMetadata, getServiceUrl, getServiceUrlBox, getServiceUrlField, isReady, setServiceUrl`

### Methods inherited from class RegistryServiceTableLoadDialog

`acceptResourceIdList, getControlBox, getQueryFactory, getRegistryMenuItems, getRegistryPanel`

### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

`addToolbarAction, asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface DalLoader

`acceptResourceIdList, getMenus, getRegistryPanel, setMenus`

## Constructor Details

### ConeSearchDialog

public ConeSearchDialog()
Constructor.

## Method Details

### createQueryComponent

protected Component createQueryComponent()

Overrides:
  `createQueryComponent` in class `SkyDalTableLoadDialog`

### createTableLoader

public uk.ac.starlink.table.gui.TableLoader createTableLoader()

### getVerbosity

public int getVerbosity()
Returns the currently selected verbosity level.

Returns:
  verbosity level

### getVerbositySelector

public JComboBox<ConeVerbosity> getVerbositySelector()
Returns the verbosity selector component.

Returns:
  verbosity selector

### getSearchRadius

public double getSearchRadius()
Returns the search radius selected.

Returns:
  search radius value